Source: python-cotyledon
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 92~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 sphinx-rtd-theme-common,
Build-Depends-Indep:
 python3-os-testr,
 python3-oslo.config,
 python3-oslosphinx,
 python3-oslotest,
 python3-setproctitle,
 python3-sphinx-rtd-theme,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-cotyledon
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-cotyledon.git
Homepage: https://github.com/sileht/cotyledon

Package: python-cotyledon-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: framework for defining long-running services - doc
 Cotyledon provides a framework for defining long-running services. It provides
 handling of Unix signals, spawning of workers, supervision of children
 processes, daemon reloading, sd-notify, rate limiting for worker spawning, and
 more.
 .
 This package contains the documentation.

Package: python3-cotyledon
Architecture: all
Depends:
 python3-setproctitle,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-cotyledon-doc,
Description: framework for defining long-running services - Python 3.x
 Cotyledon provides a framework for defining long-running services. It provides
 handling of Unix signals, spawning of workers, supervision of children
 processes, daemon reloading, sd-notify, rate limiting for worker spawning, and
 more.
 .
 This package contains the Python 3.x module.
